// +++ QUELLCODE FÜR DAS LED-LAUFLICHT MIT SERIELLEM MONITOR +++ //

// Definition von Variablen in einem Array
const int LED_PINS[] = {2, 3, 4, 5};

void setup() {
  // Initialisiere die digitalen Pins als Ausgänge mittels For-Schleife
  for (int a = 0; a < 4; a++) {
    pinMode(LED_PINS[a], OUTPUT);
  }
}

void loop() {
  for (int a = 0; a < 4; a++) {
    // Schalte eine LED an
    digitalWrite(LED_PINS[a], HIGH);
    // Sende eine Nachricht an den seriellen Monitor
    Serial.print("LED Status: LED ");
    Serial.print(LED_PINS[a]);
    Serial.println(" is ON");
    // Warte 50 Millisekunden
    delay(50);
  }
  
  for (int a = 0; a < 4; a++) {
    // Schalte eine LED aus
    digitalWrite(LED_PINS[a], LOW);
    // Sende eine Nachricht an den seriellen Monitor
    Serial.print("LED Status: LED ");
    Serial.print(LED_PINS[a]);
    Serial.println(" is OFF");
    // Warte 50 Millisekunden
    delay(50);
  }
}
