// +++ QUELLCODE FÜR DAS POTENTIOMETER +++ //
// +++ ENTNOMMEN AUS DEN ARDUINO BEISPIELEN UND ABGEÄNDERT +++ //

// Definition von Variablen für Poti, LED, Zwischenspeicher
const int SENSOR_PIN = A0;
const int LED_PIN = 13;
int sensorValue = 0;

void setup() {
  // Initialisiere den digitalen Pin als Ausgang
  pinMode(LED_PIN, OUTPUT);
}

void loop() {
  // Lies und speichere den aktuellen Wert des Tasters
  sensorValue = analogRead(SENSOR_PIN);
  // Schalte die interne LED an
  digitalWrite(LED_PIN, HIGH);
  // Sende eine Nachricht an den seriellen Monitor
  Serial.print("Poti Value: ");
  Serial.println(sensorValue);
  // Warte entsprechend de Poti-Wertes
  delay(sensorValue);
  // Schalte die interne LED aus
  digitalWrite(LED_PIN, LOW);
  // Warte entsprechend de Poti-Wertes
  delay(sensorValue);
}
