// +++ QUELLCODE FÜR DEN DREHGEBER MIT DRUCKTASTER +++ //

// Definition von Variablen für Drehgeber
const int CLK = 2;
const int DT = 3;
const int SW = 4;
bool encoderState = 0;
bool encoderOldState = 0;
int counter = 0;
// Definition von Variablen für Drucktaster
bool buttonState;
bool buttonOldState;

void setup() {
  // Initialisiere die digitalen Pins als Eingang
  pinMode(CLK, INPUT);
  pinMode(DT, INPUT);
  pinMode(SW, INPUT);
}

void loop() {
  // Lies den Drehgeber-Pin A des Encoders aus
  encoderState = digitalRead(CLK);
  // Prüfe ob dieser sich verändert hat
  if(encoderState != encoderOldState) {
    // Prüfe ob dieser dem Wert des Drehgeber-Pins B entspricht
    if (digitalRead(DT) == encoderState) {
      // Wenn ja zähle Counter -1 runter
      counter--;
    } else {
      // Wenn nein zähle Counter +1 hoch
      counter++;
    }
    // Sende eine Nachricht an den seriellen Monitor
    Serial.println(counter);
    // Speichere den ausgelesenen Encoder Wert für den nächsten Vergleich ab
    encoderOldState = encoderState;
  }

  // Lies den Drehgeber-Pin C des Encoders aus
  buttonState = digitalRead(SW);
  // Prüfe ob der Tasterwert sich geändert hat 
  if (buttonState != buttonOldState) {
    if (buttonState == 0) {
      // Sende eine Nachricht an den seriellen Monitor
      Serial.println("Button is PUSHED");
      Serial.println(buttonState);      
    }

    if (buttonState == 1) {
      // Sende eine Nachricht an den seriellen Monitor
      Serial.println("Button is RELEASED");
      Serial.println(buttonState);      
    }
    // Speichere den ausgelesenen Wert für den nächsten Vergleich ab
    buttonOldState = buttonState;
  }
}
