// +++ MIDI_SEND TAB +++ //

// Definiere die MIDI-Sendefunktion
void sendMidi(byte command, byte firstData, byte secondData) {
  // Erstelle ein Event mit den notwendigen MIDI-Daten
  midiEventPacket_t midiData= {0x09, 0x90 | command, firstData, secondData};
  // Sende das MIDI-Paket
  MidiUSB.sendMIDI(midiData);
  // Sorge dafür, dass das Daten Paket sofort gesendet wird
  MidiUSB.flush();
  // Sende den ausgehenden MIDI-Befehl an den seriellen Monitor
  midiMonitorSend(command, firstData, secondData);
}
