// +++ MIDI_RECEIVE TAB +++ //

//  Definiere die MIDI-Empfangsfunktion
void receiveMIDI()
{
  // Erstelle Ein neues Event
  midiEventPacket_t rx;
  do 
  {
    // Lies die Daten aus dem eintreffenden Event aus solange der Header nicht 0 ist
    rx = MidiUSB.read();

    if (rx.header != 0)
    {
      // Sende die eingehenden MIDI-Daten an den seriellen Monitor
      MIDI_MONITOR_RECEIVE(rx.byte1,rx.byte2,rx.byte3);
      if((int) rx.byte1 == 144 && (int) rx.byte2 == 0)
      {
        // Sende MIDI an die DAW, wenn die ersten eingehenden Bytes 144, 0 sind
        sendMIDI(144,0,0);
      }
    }
  } while (rx.header != 0);
}
