// +++ MIDI_SEND TAB +++ //

//  Definiere die MIDI-Sendefunktion
void sendMIDI(byte command, byte firstData, byte secondData)
{
  // Erstelle ein Event mit den notwendigen MIDI-Daten
  midiEventPacket_t MIDISend = {0x09, 0x90 | command,firstData,secondData};
  // Sende das MIDI-Paket
  MidiUSB.sendMIDI(MIDISend);
  // Sorge dafür, dass das Daten Paket sofort gesendet wird
  MidiUSB.flush();
  // Sende den ausgehenden MIDI-Befehl an den seriellen Monitor
  MIDI_MONITOR_SEND(command,firstData,secondData);
}
