// +++ Leonardo: MIDI_SEND TAB +++ //

/**
 * Senden von 3 MIDI Bytes
 */
void sendMidi(byte command, byte firstData, byte secondData) {
  midiEventPacket_t midiData = {0x09, 0x90 | command, firstData, secondData};
  MidiUSB.sendMIDI(midiData);
  // flush, um die Daten verzögerungsfrei zu senden
  MidiUSB.flush();
}

/**
 * Senden von 3 MIDI Bytes als 14 Bit MIDI Befehle
 */
void sendMidiPitchwheel(byte command, byte firstData, byte secondData) {
  midiEventPacket_t midiData = {0x0E, 0xE0 | command, firstData, secondData};
  MidiUSB.sendMIDI(midiData);
  // flush, um die Daten verzögerungsfrei zu senden
  MidiUSB.flush();
}
