// +++ Mega: ENCODER_SWITCH TAB +++ //

int encoderSwitchStateOld[] = {0, 0, 0, 0, 0, 0, 0, 0};
bool encoderIsPanning = true;

/**
 * Taster der Encoder
 */
void checkEncoderSwitches() {
  for (int i = 0; i < 8; i++) {
    int encoderSwitchState = digitalRead(ENCODER_SWITCH_PINS[i]);

    // button state changed
    if (encoderSwitchState != encoderSwitchStateOld[i]) {
      if (encoderSwitchState) {
        encoderIsPanning = !encoderIsPanning;
        byte secondByte = encoderIsPanning ? 0 : 1;
        sendI2C(0, 0, secondByte);
      }
      encoderSwitchStateOld[i] = encoderSwitchState;
    }
  }
}
