// +++ QUELLCODE FÜR DEN DRUCKTASTER MIT SERIELLEM MONITOR +++ //
// +++ ENTNOMMEN AUS DEN ARDUINO BEISPIELEN UND ABGEÄNDERT +++ //

// Definition von Variablen für den Taster + interne LED
const int BUTTON_PIN = 2;
const int LED_PIN = 13;

void setup() {
  // Initialisiere die interne LED als Ausgang
  pinMode(LED_PIN, OUTPUT);
  // Initialisiere den Drucktaster als Eingang
  pinMode(BUTTON_PIN, INPUT);
}

void loop() {
  // Prüfe ob der Status des Drucktasters HIGH ist
  if (digitalRead(BUTTON_PIN) == HIGH) {
    // Wenn ja, aktiviere die interne LED
    digitalWrite(LED_PIN, HIGH);
    // Sende eine Nachricht an den seriellen Monitor
    Serial.println("Button is PUSHED");
  } else {
    // Wenn nein, deaktiviere die interne LED
    digitalWrite(LED_PIN, LOW);
    // Sende eine Nachricht an den seriellen Monitor
    Serial.println("Button was RELEASED");
  }
}
