// +++ MIDI_RECEIVE TAB +++ //

// Definiere die MIDI-Empfangsfunktion
void receiveMidi() {
  // Prüfe ob genau 3 MIDI-Bytes empfangen werden
  if(Serial.available() == 3) {
    for (int a = 0; a < 3; a++) {
      // Lies die MIDI-Bytes aus und speichere sie im Array ab
      midiIn[a] = Serial.read();
    }

    // Prüfe ob die ersten beiden Bytes 144,0 sind
    if(midiIn[0] == 144 && midiIn[1] == 0) {
      // wenn ja sende folgenden MIDI-Befehl
      sendMidi(144,1,127);        
    }
  }
}
