// +++ Leonardo: PANNING TAB +++ //

/**
 * Panning der Kanäle
 */
void channelPanning() {
  for (int i = 0; i < 8; i++) {
    int encoderState = digitalRead(CHANNEL_CLK_PIN[i]);

    if(encoderState != encoderStateOld[i]) {

      if (digitalRead(CHANNEL_DT_PIN[i]) == encoderState) {
        sendMidi(176, 16 + i, 1);
      } else {
        sendMidi(176, 16 + i, 65);
      }

      encoderStateOld[i] = encoderState;
    }
  }
}
